Api referenceRoutesClients

Attach client driver

Attaches an already-running in-client Craftless driver endpoint to the supervisor. Use this when a real client exists outside daemon launch but should still expose generated per-client APIs.

POST
/clients/{id}:attach

Attaches an already-running in-client Craftless driver endpoint to the supervisor. Use this when a real client exists outside daemon launch but should still expose generated per-client APIs.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/clients/{id}:attach" \  -H "Content-Type: application/json" \  -d '{    "endpoint": "string"  }'
{  "id": "string",  "instance": {    "id": "string",    "version": {      "id": "string"    },    "loader": "string",    "files": {      "root": "string",      "gameRoot": "string",      "runtimeRoot": "string",      "cache": "string",      "mods": "string",      "config": "string",      "saves": "string",      "resourcePacks": "string",      "shaderPacks": "string",      "screenshots": "string",      "logs": "string",      "artifacts": "string"    }  },  "profile": {    "kind": "string",    "name": "string"  },  "presentation": {    "window": "NONE",    "audio": "MUTED"  },  "state": "string"}
{  "code": "string",  "message": "string"}
{  "code": "string",  "message": "string"}